; The Analyser Library
; (c) 1993 Martin Mares, MJSoft System Software

	IFND	ANALIB_I
ANALIB_I	SET	1
	IFND	EXEC_TYPES_I
	IFND	__GENAM__
	include	"exec/types.i"
	ENDC
	ENDC

ANALIB_VERSION	equ	2	; Required version of the library

; Offsets

_LVOAnaName	equ	-30	; Analyse Name
_LVOAnaContents	equ	-36	; Analyse Contents
_LVOAnaEstimate	equ	-42	; Estimate File Type
_LVOAnaMsg	equ	-48	; Get Message
_LVOAnaPlur	equ	-54	; Get Message in Plural
_LVOAnaGetMax	equ	-60	; Get Maximal Number of Messages
_LVOAnaText	equ	-66	; Get Pure Message
_LVOAnaSortTab	equ	-72	; Get Sorting Tables

; Modes of analysis

ANAMO_SIMPLE	equ	1	; Name only
ANAMO_CONTENTS	equ	4	; Contents only
ANAMO_GOOD	equ	2	; Name, then contents
ANAMO_FULL	equ	3	; Name and contents
ANAMO_RELIABLE	equ	256	; Exclude non-reliable classes

; File node

	IFND	__DD__	; DD uses its own extended definition
	IFND	__GENAM__

	STRUCTURE	AnaDataNode,0
	ULONG	d_subclass	; File subclass
	STRUCT	d_rfu,10	; Reserved for future use
	UWORD	d_class		; Final classification
	UWORD	d_cclass	; Contents classification
	UWORD	d_nclass	; Name classification
	ULONG	d_internal	; Used internally
	LABEL	d_sizeof

	ELSEIF

	rsreset		; RS-Definition for GenAm
d_subclass	rs.l	1
d_rfu	rs.b	10
d_class	rs.w	1
d_cclass	rs.w	1
d_nclass	rs.w	1
d_internal	rs.l	1
d_sizeof	rs.b	0

	ENDC
	ENDC

	ENDC
